﻿@model IEnumerable<ProjectUni.Models.InstituteCourse>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <div>
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Dashboard</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
                    <!-- Small boxes (Stat box) -->
                    <div class="row">
                        <div class="col-lg-10 col-xs-6">
                            <p>
                                @Html.ActionLink("Create New", "InstituteAssignCourses")
                            </p>
                            <table class="table">
                                <tr>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Institute.InstituteName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Course.CourseName)
                                    </th>

                                    <th></th>
                                </tr>

                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Institute.InstituteName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Course.CourseName)
                                        </td>

                                        <td>
                                            @*@Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |*@
                                            @Html.ActionLink("Edit", "Edit", new { id = item.InstituteId, cid = item.CourseId }) |
                                            @Html.ActionLink("Delete", "Delete", new { id = item.InstituteId, cid = item.CourseId })
                                        </td>
                                    </tr>
                                }

                            </table>

                        </div>
                    </div>
                    <!-- /.row -->
                    <!-- Main row -->
                    <div class="row">
                        <!-- Left col -->
                        <section class="col-lg-7 connectedSortable"></section>

                    </div>
                    <!-- /.row (main row) -->
                </section>
                <!-- /.content -->
            </div>


        </div>
    </div>
</div>
